%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d

Summary:	xcb-util's xcb-cursor
Name:		xcb-util-cursor
Version:	0.1.3
Release:	%mkrel 3
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
License:	MIT
Group:		System/X11
BuildRequires: %{_lib}xcb-util-image-devel
BuildRequires: %{_lib}xcb-util-renderutil-devel
BuildRequires: libxcb-devel
BuildRequires: x11-util-macros
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the libXcursor port to XCB.

%package -n %{libname}
Summary: xcb-util-cursor library package
Group: System/X11

%description -n %{libname}
This is the libXcursor port to XCB.

%package -n %{develname}
Summary: xcb-util-cursor development files
Group: Development/Libraries
Provides:  libxcb-util-cursor-devel = %{version}-%{release}
Provides:  xcb-util-cursor-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-cursor.so.%{major}*


%files -n %{develname}
%{_includedir}/xcb/*.h
%{_libdir}/libxcb-cursor.so
%{_libdir}/pkgconfig/xcb-cursor.pc

%files doc
%doc ChangeLog NEWS README

%clean
rm -rf %{buildroot}


%changelog
* Sat Nov 18 2017 bb2 <bb2> - 0.1.3-3pclos2017
- rebuild against updates

* Fri Jul 29 2016 bb <bb> 0.1.3-2pclos2016
- rebuild for updates

* Thu May 26 2016 bb <bb> 0.1.3-1pclos2016
- update

* Fri Mar 11 2016 bb <bb> 0.1.2-1pclos2016
- update

* Mon May 26 2014 bb <bb> 0.1.1-1pclos2014
- update

* Thu Oct 31 2013 bb <bb> 0.1.0-1pclos2013
- update
